### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.events

# Class EventFactory

java.lang.Object
com.sas.services.events.EventFactory

@SASScope("ALL") @BinaryCompatibilityOnly public class EventFactory extends Object
Deprecated.
As of release 9.3, replaced by SAS Midtier Eventing Architecture.
This class produces events that can be sent to an `EventBroker service`. Event specifications are described in the package documentation for the Event Broker.

## Usage

Use this class to create new events.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventFactory()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EventInterface`
  `newEvent()`
  Deprecated.
  Create a new Event.
  `EventInterface`
  `newEvent(String eventName)`
  Deprecated.
  Create a new Event with the specified name.
  `EventInterface`
  `newEvent(Document existingEvent)`
  Deprecated.
  Create a new Event from an existing one.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventFactory

    public EventFactory()
    Deprecated.

- ## Method Details

  - ### newEvent

    public EventInterface newEvent()
    Deprecated.
    Create a new Event.
    Returns:
      generated event.
    See Also:
      - `EventInterface`

  - ### newEvent

    public EventInterface newEvent(String eventName)
    Deprecated.
    Create a new Event with the specified name.
    Parameters:
      `eventName` - Name of the event.
    Returns:
      generated event.
    See Also:
      - `EventInterface`

  - ### newEvent

    public EventInterface newEvent(Document existingEvent)
    Deprecated.
    Create a new Event from an existing one.
    Parameters:
      `existingEvent` - existing event.
    Returns:
      generated event.
    See Also:
      - `EventInterface`